# SourcePath: alsa-utils/20170605dev
%define ver      1.1.3

Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: sony-target-dev-alsa-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-utils
Version: %ver
Release: 14020101
Source: ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{ver}.tar.bz2
Patch0: alsa-utils-%{ver}-alsaconf-scel.patch
Patch1: alsa-utils-%{ver}-alsamixer-fix.patch
Patch2: alsa-utils-%{ver}-aplay-interrupt-signal-handling.patch
License: GPL2
URL: http://www.alsa-project.org
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-lib

%description

Advanced Linux Sound Architecture (ALSA) - Utils

%package -n %{pkgname}
Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}

Advanced Linux Sound Architecture (ALSA) - Utils


%prep
%setup -n alsa-utils-%{version}

%patch0 -p1
%patch2 -p1

%build
%sony_target_dev_setup
export ac_cv_prog_ncurses5_config=%{sony_target_dir}%{sony_target_devtool_bin_dir}/ncurses5_config
%sony_target_dev_configure --disable-xmlto --with-udev-rules-dir=%{sony_target_dev_lib_dir}/udev/rules.d
patch -p1 < %{PATCH1}
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/init

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-, root, root)

%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/speaker-test/*
%{sony_target_dir}%{sony_target_dev_data_dir}/sounds/alsa/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/udev/rules.d/90-alsa-restore.rules

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jun 05 2017 Sony Corporation
- updated 1.0.29 -> 1.1.3

* Wed Feb 01 2017 Sony Corporation
- Added alsa-utils-aplay-interrupt-signal-handling.patch from jethro

* Wed Jan 18 2017 Sony Corporation
- updated 1.0.26 -> 1.0.29

* Mon Apr 08 2013 Sony Corporation
- Updated to support python 2.7.3 version
* Wed Mar 27 2013 Sony Corporation
- Version update to 1.0.26.
* Tue Apr 07 2009 Sony Corporation
- Initial build.
